	.file	"opengl.c"
	.text
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	" PNG TEXTURES WORLD: "
	.text
	.globl	loadTexture
	.type	loadTexture, @function
loadTexture:
.LFB22:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$96, %rsp
1:	call	mcount
	movabsq	$8027155390461921616, %rax
	movabsq	$7453017778169275762, %rdx
	movq	%rax, -32(%rbp)
	movq	%rdx, -24(%rbp)
	movb	$0, -16(%rbp)
	movabsq	$7306016500129220944, %rax
	movabsq	$7453017778169210227, %rdx
	movq	%rax, -64(%rbp)
	movq	%rdx, -56(%rbp)
	movb	$0, -48(%rbp)
	movabsq	$7310238624779880784, %rax
	movq	%rax, -78(%rbp)
	movabsq	$29113350694724979, %rax
	movq	%rax, -72(%rbp)
	movabsq	$7810138183418005840, %rax
	movabsq	$29113350694925679, %rdx
	movq	%rax, -96(%rbp)
	movq	%rdx, -88(%rbp)
	movl	$bla, %esi
	leaq	-32(%rbp), %rdi
	call	read_png
	movl	$des, %esi
	leaq	-64(%rbp), %rdi
	call	read_png
	movl	$sea, %esi
	leaq	-78(%rbp), %rdi
	call	read_png
	movl	$sky, %esi
	leaq	-96(%rbp), %rdi
	call	read_png
	movl	$.LC0, %edi
	call	puts
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE22:
	.size	loadTexture, .-loadTexture
	.section	.rodata.str1.1
.LC1:
	.string	" GLEW ERROR: %s \n"
.LC2:
	.string	" GLEW VERSION: %s \n"
.LC3:
	.string	" OPENGL SUPPORTED: "
.LC4:
	.string	" SHADER VERSION: %s \n"
.LC5:
	.string	" OPENGL VERSION: %s \n"
	.text
	.globl	glewStatus
	.type	glewStatus, @function
glewStatus:
.LFB23:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	call	glewInit
	testl	%eax, %eax
	jne	.L5
.L3:
	movl	$1, %edi
	call	glewGetString
	movq	%rax, %rdx
	movl	$.LC2, %esi
	movq	stdout(%rip), %rdi
	movl	$0, %eax
	call	fprintf
	cmpb	$0, __GLEW_VERSION_1_3(%rip)
	jne	.L6
.L4:
	movl	$35724, %edi
	call	glGetString
	movq	%rax, %rsi
	movl	$.LC4, %edi
	movl	$0, %eax
	call	printf
	movl	$7938, %edi
	call	glGetString
	movq	%rax, %rsi
	movl	$.LC5, %edi
	movl	$0, %eax
	call	printf
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L5:
	.cfi_restore_state
	movl	%eax, %edi
	call	glewGetErrorString
	movq	%rax, %rdx
	movl	$.LC1, %esi
	movq	stderr(%rip), %rdi
	movl	$0, %eax
	call	fprintf
	jmp	.L3
.L6:
	movl	$.LC3, %edi
	call	puts
	jmp	.L4
	.cfi_endproc
.LFE23:
	.size	glewStatus, .-glewStatus
	.section	.rodata.str1.1
.LC6:
	.string	"a_Vertex"
.LC7:
	.string	"a_TexCoord"
.LC8:
	.string	"a_Color"
.LC9:
	.string	"c_Vertex"
.LC10:
	.string	"c_TexCoord"
.LC11:
	.string	"c_Normal"
.LC12:
	.string	"b_Vertex"
.LC13:
	.string	"b_TexCoord"
	.text
	.globl	textureShader3
	.type	textureShader3, @function
textureShader3:
.LFB24:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$fly_frag.4, %esi
	movl	$fly_vert.5, %edi
	call	createShader
	movl	g(%rip), %edi
	call	createProgram
	movl	$.LC6, %edx
	movl	$0, %esi
	movl	g(%rip), %edi
	call	Location
	movl	$.LC7, %edx
	movl	$1, %esi
	movl	g(%rip), %edi
	call	Location
	movl	$.LC8, %edx
	movl	$2, %esi
	movl	g(%rip), %edi
	call	Location
	movl	$cube_frag.2, %esi
	movl	$cube_vert.3, %edi
	call	createShader
	movl	g+8(%rip), %edi
	call	createProgram
	movl	$.LC9, %edx
	movl	$0, %esi
	movl	g+8(%rip), %edi
	call	Location
	movl	$.LC10, %edx
	movl	$1, %esi
	movl	g+8(%rip), %edi
	call	Location
	movl	$.LC11, %edx
	movl	$2, %esi
	movl	g+8(%rip), %edi
	call	Location
	movl	g+8(%rip), %edi
	call	linkProgram
	movl	$basic_frag.0, %esi
	movl	$basic_vert.1, %edi
	call	createShader
	movl	g+4(%rip), %edi
	call	createProgram
	movl	$.LC12, %edx
	movl	$0, %esi
	movl	g+4(%rip), %edi
	call	Location
	movl	$.LC13, %edx
	movl	$1, %esi
	movl	g+4(%rip), %edi
	call	Location
	movl	g+4(%rip), %edi
	call	linkProgram
	movl	g+4(%rip), %edi
	call	bindShader
	movl	$1, %eax
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE24:
	.size	textureShader3, .-textureShader3
	.section	.rodata.str1.1
.LC14:
	.string	"glGenBuffers"
.LC15:
	.string	"glBindBuffer"
.LC16:
	.string	"glBufferData"
.LC17:
	.string	"VBO: NOT SUPPORTED "
	.text
	.globl	initGrid
	.type	initGrid, @function
initGrid:
.LFB25:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$.LC14, %edi
	call	glXGetProcAddress
	movq	%rax, __glewGenBuffers(%rip)
	movl	$.LC15, %edi
	call	glXGetProcAddress
	movq	%rax, __glewBindBuffer(%rip)
	movl	$.LC16, %edi
	call	glXGetProcAddress
	movq	%rax, __glewBufferData(%rip)
	movq	__glewGenBuffers(%rip), %rdx
	testq	%rdx, %rdx
	je	.L9
	cmpq	$0, __glewBindBuffer(%rip)
	je	.L9
	testq	%rax, %rax
	je	.L9
	movl	$vbos3, %esi
	movl	$4, %edi
	call	*%rdx
	movl	vbos3(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movl	$m_colors, %edx
	movl	$9760, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos3+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movl	$m_texCoords, %edx
	movl	$4880, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos3+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movl	$m_vertices, %edx
	movl	$7320, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos3+12(%rip), %esi
	movl	$34963, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movl	$m_indices, %edx
	movl	$7320, %esi
	movl	$34963, %edi
	call	*__glewBufferData(%rip)
	movl	$1, %eax
.L8:
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L9:
	.cfi_restore_state
	movl	$.LC17, %edi
	call	puts
	movl	$0, %eax
	jmp	.L8
	.cfi_endproc
.LFE25:
	.size	initGrid, .-initGrid
	.section	.rodata.str1.1
.LC25:
	.string	"FONT/mono.png"
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC27:
	.string	" COULD NOT INITIALIZE THE FONT "
	.align 8
.LC28:
	.string	" COULD NOT INITIALIZE THE FLYBOX "
	.align 8
.LC29:
	.string	" COULD NOT INITIALIZE THE COCKPIT "
	.align 8
.LC30:
	.string	" COULD NOT INITIALIZE THE GRID "
	.align 8
.LC31:
	.string	" COULD NOT INITIALIZE THE SHADER "
	.text
	.globl	initMain
	.type	initMain, @function
initMain:
.LFB26:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$24, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movl	$3042, %edi
	call	glEnable
	movl	$4608, %edi
	call	glEnable
	movl	$16391, %edi
	call	glEnable
	movl	$2896, %edi
	call	glEnable
	movl	$2929, %edi
	call	glEnable
	movl	$3089, %edi
	call	glEnable
	movl	$2903, %edi
	call	glEnable
	movl	$771, %esi
	movl	$770, %edi
	call	glBlendFunc
	cmpb	$0, Fnight(%rip)
	jne	.L23
	cmpb	$0, Fday(%rip)
	je	.L16
	movss	.LC18(%rip), %xmm3
	movss	.LC22(%rip), %xmm2
	movaps	%xmm3, %xmm1
	movss	.LC19(%rip), %xmm0
	call	glClearColor
	movl	$2896, %edi
	call	glDisable
.L15:
	movsd	.LC24(%rip), %xmm0
	call	glClearDepth
	movl	$2884, %edi
	call	glEnable
	movl	$2929, %edi
	call	glEnable
	movl	$515, %edi
	call	glDepthFunc
	leaq	-32(%rbp), %rsi
	movl	$2978, %edi
	call	glGetIntegerv
	movss	.LC26(%rip), %xmm0
	movl	-20(%rbp), %edx
	movl	-24(%rbp), %esi
	movl	$.LC25, %edi
	call	TMFont
	movl	$0, %eax
	call	initFont
	movl	%eax, %ebx
	testb	%al, %al
	je	.L24
	movl	$0, %eax
	call	initBox
	movl	%eax, %ebx
	testb	%al, %al
	je	.L25
	movl	$0, %eax
	call	initCockpit
	movl	%eax, %ebx
	testb	%al, %al
	je	.L26
	movl	$0, %eax
	call	initGrid
	movl	%eax, %ebx
	testb	%al, %al
	je	.L27
	movl	$0, %eax
	call	textureShader3
	movl	%eax, %ebx
	testb	%al, %al
	je	.L28
	movl	$1, %ebx
	jmp	.L13
.L23:
	movss	.LC18(%rip), %xmm3
	movss	.LC19(%rip), %xmm2
	movss	.LC20(%rip), %xmm1
	movss	.LC21(%rip), %xmm0
	call	glClearColor
	movl	$16391, %edi
	call	glDisable
	jmp	.L15
.L16:
	movss	.LC18(%rip), %xmm3
	movss	.LC23(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glClearColor
	movl	$2896, %edi
	call	glDisable
	jmp	.L15
.L24:
	movl	$.LC27, %edi
	call	puts
.L13:
	movl	%ebx, %eax
	movq	-8(%rbp), %rbx
	leave
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L25:
	.cfi_restore_state
	movl	$.LC28, %edi
	call	puts
	jmp	.L13
.L26:
	movl	$.LC29, %edi
	call	puts
	jmp	.L13
.L27:
	movl	$.LC30, %edi
	call	puts
	jmp	.L13
.L28:
	movl	$.LC31, %edi
	call	puts
	jmp	.L13
	.cfi_endproc
.LFE26:
	.size	initMain, .-initMain
	.globl	F_Vertex
	.type	F_Vertex, @function
F_Vertex:
.LFB27:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE27:
	.size	F_Vertex, .-F_Vertex
	.globl	F_Color
	.type	F_Color, @function
F_Color:
.LFB28:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE28:
	.size	F_Color, .-F_Color
	.globl	F_Textur
	.type	F_Textur, @function
F_Textur:
.LFB29:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE29:
	.size	F_Textur, .-F_Textur
	.section	.rodata.str1.1
.LC32:
	.string	"r"
	.section	.rodata.str1.8
	.align 8
.LC33:
	.string	"%s  %f %f %f %f  %f %f  %f %f %f"
	.text
	.globl	GridRender
	.type	GridRender, @function
GridRender:
.LFB30:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$24, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movl	$.LC32, %esi
	call	fopen
	movq	%rax, %rbx
	jmp	.L33
.L34:
	movss	Fplus(%rip), %xmm0
	movaps	%xmm0, %xmm1
	mulss	gl+32(%rip), %xmm1
	movss	%xmm1, gl+32(%rip)
	movaps	%xmm0, %xmm1
	mulss	gl+36(%rip), %xmm1
	movss	%xmm1, gl+36(%rip)
	mulss	gl+40(%rip), %xmm0
	movss	%xmm0, gl+40(%rip)
	movss	gl+12(%rip), %xmm3
	movss	gl+8(%rip), %xmm2
	movss	gl+4(%rip), %xmm1
	movss	gl(%rip), %xmm0
	call	glColor4f
	movss	gl+20(%rip), %xmm1
	movss	gl+16(%rip), %xmm0
	call	glTexCoord2f
	movss	gl+40(%rip), %xmm2
	movss	gl+36(%rip), %xmm1
	movss	gl+32(%rip), %xmm0
	call	glScalef
	movss	gl+40(%rip), %xmm2
	movss	gl+36(%rip), %xmm1
	movss	gl+32(%rip), %xmm0
	call	glVertex3f
.L33:
	pushq	$gl+40
	pushq	$gl+36
	pushq	$gl+32
	pushq	$gl+20
	pushq	$gl+16
	pushq	$gl+12
	movl	$gl+8, %r9d
	movl	$gl+4, %r8d
	movl	$gl, %ecx
	leaq	-32(%rbp), %rdx
	movl	$.LC33, %esi
	movq	%rbx, %rdi
	movl	$0, %eax
	call	__isoc99_fscanf
	addq	$48, %rsp
	cmpl	$-1, %eax
	jne	.L34
	movq	%rbx, %rdi
	call	fclose
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE30:
	.size	GridRender, .-GridRender
	.globl	PolygonCircle
	.type	PolygonCircle, @function
PolygonCircle:
.LFB31:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movl	%edi, %r12d
	movq	%rdx, %rbx
	movl	$1032, %edi
	call	glPolygonMode
	movl	%r12d, %edi
	call	glBegin
	movq	%rbx, %rdi
	call	GridRender
	call	glEnd
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE31:
	.size	PolygonCircle, .-PolygonCircle
	.globl	DrawCircle
	.type	DrawCircle, @function
DrawCircle:
.LFB32:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 13, -24
	.cfi_offset 12, -32
	.cfi_offset 3, -40
1:	call	mcount
	movl	%edi, %ebx
	movl	%edx, %r13d
	movl	%ecx, %r12d
	movl	$1032, %edi
	call	glPolygonMode
	call	glPushMatrix
	movss	m_scale(%rip), %xmm0
	movaps	%xmm0, %xmm2
	movaps	%xmm0, %xmm1
	call	glScalef
	movl	%r13d, %edx
	movl	%r12d, %esi
	movl	%ebx, %edi
	call	glDrawArrays
	call	glPopMatrix
	addq	$8, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE32:
	.size	DrawCircle, .-DrawCircle
	.globl	SubImage
	.type	SubImage, @function
SubImage:
.LFB33:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movq	%rsi, %r12
	movq	%rdx, %rbx
	movl	$3553, %edi
	call	glEnable
	movss	.LC34(%rip), %xmm0
	movl	$10242, %esi
	movl	$3553, %edi
	call	glTexParameterf
	movss	.LC34(%rip), %xmm0
	movl	$10243, %esi
	movl	$3553, %edi
	call	glTexParameterf
	movss	.LC35(%rip), %xmm0
	movl	$10240, %esi
	movl	$3553, %edi
	call	glTexParameterf
	movss	.LC35(%rip), %xmm0
	movl	$10241, %esi
	movl	$3553, %edi
	call	glTexParameterf
	subq	$8, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$128, %r8d
	movl	$128, %ecx
	movl	$32856, %edx
	movl	$0, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$128, %r9d
	movl	$128, %r8d
	movl	$0, %ecx
	movl	$0, %edx
	movl	$0, %esi
	movl	$3553, %edi
	call	glTexSubImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$128, %r9d
	movl	$128, %r8d
	movl	$0, %ecx
	movl	$2, %edx
	movl	$0, %esi
	movl	$3553, %edi
	call	glTexSubImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$128, %r9d
	movl	$128, %r8d
	movl	$2, %ecx
	movl	$0, %edx
	movl	$0, %esi
	movl	$3553, %edi
	call	glTexSubImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$128, %r9d
	movl	$128, %r8d
	movl	$2, %ecx
	movl	$2, %edx
	movl	$0, %esi
	movl	$3553, %edi
	call	glTexSubImage2D
	addq	$32, %rsp
	movq	%r12, %rdx
	movl	$6914, %esi
	movl	$4, %edi
	call	PolygonCircle
	movl	$3553, %edi
	call	glDisable
	leaq	-16(%rbp), %rsp
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE33:
	.size	SubImage, .-SubImage
	.globl	pointSpeed
	.type	pointSpeed, @function
pointSpeed:
.LFB34:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movaps	%xmm0, %xmm1
	mulss	.LC36(%rip), %xmm1
	addss	xRotation(%rip), %xmm1
	movss	%xmm1, xRotation(%rip)
	mulss	.LC37(%rip), %xmm0
	addss	zRotation(%rip), %xmm0
	movss	%xmm0, zRotation(%rip)
	comiss	.LC38(%rip), %xmm1
	jbe	.L39
	subss	.LC38(%rip), %xmm1
	movss	%xmm1, xRotation(%rip)
.L39:
	comiss	.LC38(%rip), %xmm0
	jbe	.L38
	subss	.LC38(%rip), %xmm0
	movss	%xmm0, zRotation(%rip)
.L38:
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE34:
	.size	pointSpeed, .-pointSpeed
	.globl	pointGrid
	.type	pointGrid, @function
pointGrid:
.LFB35:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	call	pointSpeed
	cmpb	$0, code03(%rip)
	je	.L46
	movss	.LC20(%rip), %xmm1
	movaps	%xmm1, %xmm0
	addss	code1(%rip), %xmm0
	movss	%xmm0, code1(%rip)
	movss	code2(%rip), %xmm0
	subss	%xmm1, %xmm0
.L47:
	movss	%xmm0, code2(%rip)
	movss	code1(%rip), %xmm0
	comiss	.LC39(%rip), %xmm0
	jb	.L54
	movb	$0, code03(%rip)
.L45:
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L46:
	.cfi_restore_state
	movss	.LC20(%rip), %xmm0
	movss	code1(%rip), %xmm1
	subss	%xmm0, %xmm1
	movss	%xmm1, code1(%rip)
	addss	code2(%rip), %xmm0
	jmp	.L47
.L54:
	movss	.LC40(%rip), %xmm1
	comiss	%xmm0, %xmm1
	jb	.L45
	movb	$1, code03(%rip)
	jmp	.L45
	.cfi_endproc
.LFE35:
	.size	pointGrid, .-pointGrid
	.globl	vectorObjects
	.type	vectorObjects, @function
vectorObjects:
.LFB36:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$2832, %edi
	call	glEnable
	movss	.LC41(%rip), %xmm0
	call	glLineWidth
	movss	.LC42(%rip), %xmm0
	call	glPointSize
	movzbl	Fgrid(%rip), %eax
	orb	Fiso(%rip), %al
	je	.L56
	movl	$888, %ecx
	movl	$864, %edx
	movl	$6912, %esi
	movl	$0, %edi
	call	DrawCircle
	movl	$3480, %ecx
	movl	$864, %edx
	movl	$6913, %esi
	movl	$1, %edi
	call	DrawCircle
	movl	$2616, %ecx
	movl	$864, %edx
	movl	$6914, %esi
	movl	$4, %edi
	call	DrawCircle
	cmpb	$0, Fiso(%rip)
	jne	.L59
.L57:
	movl	$2832, %edi
	call	glDisable
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L59:
	.cfi_restore_state
	movl	$1752, %ecx
	movl	$864, %edx
	movl	$6912, %esi
	movl	$0, %edi
	call	DrawCircle
	movl	$1752, %ecx
	movl	$864, %edx
	movl	$6913, %esi
	movl	$4, %edi
	call	DrawCircle
	movl	$1752, %ecx
	movl	$864, %edx
	movl	$6914, %esi
	movl	$4, %edi
	call	DrawCircle
	jmp	.L57
.L56:
	cmpb	$0, Fwind(%rip)
	jne	.L60
	cmpb	$0, Ftemp(%rip)
	je	.L57
	movl	$888, %ecx
	movl	$864, %edx
	movl	$6912, %esi
	movl	$0, %edi
	call	DrawCircle
	movl	$3480, %ecx
	movl	$864, %edx
	movl	$6913, %esi
	movl	$4, %edi
	call	DrawCircle
	movl	$5208, %ecx
	movl	$864, %edx
	movl	$6914, %esi
	movl	$4, %edi
	call	DrawCircle
	jmp	.L57
.L60:
	movl	$888, %ecx
	movl	$864, %edx
	movl	$6912, %esi
	movl	$0, %edi
	call	DrawCircle
	movl	$2884, %edi
	call	glEnable
	movl	$3480, %ecx
	movl	$864, %edx
	movl	$6914, %esi
	movl	$4, %edi
	call	DrawCircle
	movl	$2884, %edi
	call	glDisable
	movl	$4344, %ecx
	movl	$864, %edx
	movl	$6914, %esi
	movl	$4, %edi
	call	DrawCircle
	jmp	.L57
	.cfi_endproc
.LFE36:
	.size	vectorObjects, .-vectorObjects
	.globl	polygonObjects
	.type	polygonObjects, @function
polygonObjects:
.LFB37:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$96, %rsp
1:	call	mcount
	movabsq	$8462671821602570564, %rax
	movq	%rax, -15(%rbp)
	movabsq	$32481971778249077, %rax
	movq	%rax, -8(%rbp)
	movabsq	$7598248973984612676, %rax
	movq	%rax, -28(%rbp)
	movabsq	$32481971760886375, %rax
	movq	%rax, -23(%rbp)
	movabsq	$8030878212212146500, %rax
	movq	%rax, -43(%rbp)
	movabsq	$32481971995239023, %rax
	movq	%rax, -36(%rbp)
	movabsq	$8243122439279886660, %rax
	movabsq	$32481971928654194, %rdx
	movq	%rax, -64(%rbp)
	movq	%rdx, -56(%rbp)
	movabsq	$7956021261569900868, %rax
	movq	%rax, -77(%rbp)
	movabsq	$32481971761211767, %rax
	movq	%rax, -72(%rbp)
	movabsq	$7882834469090246980, %rax
	movabsq	$3346866615801242992, %rdx
	movq	%rax, -96(%rbp)
	movq	%rdx, -88(%rbp)
	movl	$7562798, -81(%rbp)
	movl	$2832, %edi
	call	glEnable
	movss	.LC41(%rip), %xmm0
	call	glLineWidth
	movss	.LC42(%rip), %xmm0
	call	glPointSize
	movzbl	Fgrid(%rip), %eax
	orb	Fiso(%rip), %al
	je	.L62
	leaq	-15(%rbp), %rdx
	movl	$6912, %esi
	movl	$0, %edi
	call	PolygonCircle
	leaq	-28(%rbp), %rdx
	movl	$6913, %esi
	movl	$1, %edi
	call	PolygonCircle
	leaq	-64(%rbp), %rdx
	movl	$6914, %esi
	movl	$4, %edi
	call	PolygonCircle
	cmpb	$0, Fiso(%rip)
	jne	.L65
.L63:
	movl	$2832, %edi
	call	glDisable
	leave
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L65:
	.cfi_restore_state
	leaq	-43(%rbp), %rdx
	movl	$6912, %esi
	movl	$0, %edi
	call	PolygonCircle
	leaq	-43(%rbp), %rdx
	movl	$6913, %esi
	movl	$4, %edi
	call	PolygonCircle
	leaq	-43(%rbp), %rdx
	movl	$6914, %esi
	movl	$4, %edi
	call	PolygonCircle
	jmp	.L63
.L62:
	cmpb	$0, Fwind(%rip)
	jne	.L66
	cmpb	$0, Ftemp(%rip)
	je	.L63
	leaq	-15(%rbp), %rdx
	movl	$6912, %esi
	movl	$0, %edi
	call	PolygonCircle
	leaq	-28(%rbp), %rdx
	movl	$6913, %esi
	movl	$4, %edi
	call	PolygonCircle
	leaq	-96(%rbp), %rdx
	movl	$6914, %esi
	movl	$4, %edi
	call	PolygonCircle
	jmp	.L63
.L66:
	leaq	-15(%rbp), %rdx
	movl	$6912, %esi
	movl	$0, %edi
	call	PolygonCircle
	movl	$2884, %edi
	call	glEnable
	leaq	-28(%rbp), %rdx
	movl	$6914, %esi
	movl	$4, %edi
	call	PolygonCircle
	movl	$2884, %edi
	call	glDisable
	leaq	-77(%rbp), %rdx
	movl	$6914, %esi
	movl	$4, %edi
	call	PolygonCircle
	jmp	.L63
	.cfi_endproc
.LFE37:
	.size	polygonObjects, .-polygonObjects
	.section	.rodata.str1.1
.LC43:
	.string	"texture1"
	.text
	.globl	textureObjects
	.type	textureObjects, @function
textureObjects:
.LFB38:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$96, %rsp
1:	call	mcount
	movl	g+4(%rip), %edi
	call	linkProgram
	movl	g+4(%rip), %edi
	call	bindShader
	pxor	%xmm0, %xmm0
	movl	$.LC43, %esi
	movl	g+4(%rip), %edi
	call	Uniform
	leaq	-32(%rbp), %rsi
	movl	$4, %edi
	call	glGenTextures
	movl	-16(%rbp), %esi
	movl	$35866, %edi
	call	glBindTexture
	movabsq	$8245921795884204356, %rax
	movq	%rax, -47(%rbp)
	movabsq	$32481972029973874, %rax
	movq	%rax, -40(%rbp)
	movabsq	$8315162441131770180, %rax
	movq	%rax, -62(%rbp)
	movabsq	$32481972029908339, %rax
	movq	%rax, -55(%rbp)
	movabsq	$7018142241123483972, %rax
	movq	%rax, -77(%rbp)
	movabsq	$32481971777269601, %rax
	movq	%rax, -70(%rbp)
	movabsq	$8028901290305405252, %rax
	movq	%rax, -91(%rbp)
	movabsq	$32481971761672044, %rax
	movq	%rax, -85(%rbp)
	movzbl	Fnight(%rip), %eax
	orb	Fday(%rip), %al
	orb	Fcloud(%rip), %al
	je	.L68
	movq	bla(%rip), %rdx
	leaq	-47(%rbp), %rsi
	movl	$288, %edi
	call	SubImage
	movq	des(%rip), %rdx
	leaq	-62(%rbp), %rsi
	movl	$672, %edi
	call	SubImage
	movq	sea(%rip), %rdx
	leaq	-77(%rbp), %rsi
	movl	$864, %edi
	call	SubImage
	cmpb	$0, Fcloud(%rip)
	jne	.L69
.L68:
	leaq	-32(%rbp), %rsi
	movl	$4, %edi
	call	glDeleteTextures
	leave
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L69:
	.cfi_restore_state
	movq	sky(%rip), %rdx
	leaq	-91(%rbp), %rsi
	movl	$888, %edi
	call	SubImage
	jmp	.L68
	.cfi_endproc
.LFE38:
	.size	textureObjects, .-textureObjects
	.globl	vertexObjects
	.type	vertexObjects, @function
vertexObjects:
.LFB39:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$0, %edi
	call	*__glewEnableVertexAttribArray(%rip)
	movl	$1, %edi
	call	*__glewEnableVertexAttribArray(%rip)
	movl	$2, %edi
	call	*__glewEnableVertexAttribArray(%rip)
	movl	vbos3(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$vcolor3, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$3, %esi
	movl	$2, %edi
	call	*__glewVertexAttribPointer(%rip)
	movl	vbos3+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$vcircle3, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$3, %esi
	movl	$0, %edi
	call	*__glewVertexAttribPointer(%rip)
	movl	vbos3+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$tcircle3, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$2, %esi
	movl	$1, %edi
	call	*__glewVertexAttribPointer(%rip)
	movl	$0, %eax
	call	polygonObjects
	movl	$0, %eax
	call	textureObjects
	movl	$2, %edi
	call	*__glewDisableVertexAttribArray(%rip)
	movl	$1, %edi
	call	*__glewDisableVertexAttribArray(%rip)
	movl	$0, %edi
	call	*__glewDisableVertexAttribArray(%rip)
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE39:
	.size	vertexObjects, .-vertexObjects
	.globl	renderObjects
	.type	renderObjects, @function
renderObjects:
.LFB40:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$32886, %edi
	call	glEnableClientState
	movl	$32884, %edi
	call	glEnableClientState
	movl	$32888, %edi
	call	glEnableClientState
	movl	vbos3(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$vcolor3, %ecx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$4, %edi
	call	glColorPointer
	movl	vbos3+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$vcircle3, %ecx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$3, %edi
	call	glVertexPointer
	movl	vbos3+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$tcircle3, %ecx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$2, %edi
	call	glTexCoordPointer
	movl	$0, %eax
	call	polygonObjects
	movl	$0, %eax
	call	textureObjects
	movl	$32888, %edi
	call	glDisableClientState
	movl	$32884, %edi
	call	glDisableClientState
	movl	$32886, %edi
	call	glDisableClientState
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE40:
	.size	renderObjects, .-renderObjects
	.globl	CubeMap
	.type	CubeMap, @function
CubeMap:
.LFB42:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movl	$256, %edi
	call	glClear
	call	glLoadIdentity
	movl	$256, %edi
	call	beginCubeMapRendering
	movl	$3089, %edi
	call	glEnable
	movl	$0, %ebx
.L73:
	movl	%ebx, %edi
	call	beginCubeMapFace
	movl	$0, %eax
	call	initBox
	movl	g+4(%rip), %edi
	pxor	%xmm2, %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	render
	pxor	%xmm2, %xmm2
	movss	.LC45(%rip), %xmm1
	movaps	%xmm2, %xmm0
	call	glTranslatef
	movl	$0, %eax
	call	vertexObjects
	movl	$256, %esi
	movl	%ebx, %edi
	call	finishCubeMapFace
	addl	$1, %ebx
	cmpl	$6, %ebx
	jne	.L73
	movl	$0, %eax
	call	endCubeMapRendering
	movl	$3089, %edi
	call	glDisable
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE42:
	.size	CubeMap, .-CubeMap
	.section	.rodata.str1.1
.LC46:
	.string	"VULKANO:"
.LC48:
	.string	"projection_matrix"
.LC49:
	.string	"modelview_matrix"
.LC50:
	.string	"camera_position"
.LC51:
	.string	"texture2"
.LC52:
	.string	"texture0"
	.text
	.globl	Landscape
	.type	Landscape, @function
Landscape:
.LFB41:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	addq	$-128, %rsp
1:	call	mcount
	movl	$3089, %edi
	call	glDisable
	movl	$17664, %edi
	call	glClear
	movl	$0, %eax
	call	CameraLook
	movl	$0, %eax
	call	PlaneView
	movss	.LC26(%rip), %xmm1
	movss	.LC47(%rip), %xmm0
	movl	$.LC46, %edi
	call	printString
	leaq	-128(%rbp), %rsi
	movl	$2983, %edi
	call	glGetFloatv
	leaq	-64(%rbp), %rsi
	movl	$2982, %edi
	call	glGetFloatv
	leaq	-128(%rbp), %rcx
	movl	$0, %edx
	movl	$.LC48, %esi
	movl	g(%rip), %edi
	call	Uniform4x4
	leaq	-64(%rbp), %rcx
	movl	$1, %edx
	movl	$.LC49, %esi
	movl	g(%rip), %edi
	call	Uniform4x4
	movl	$2929, %edi
	call	glEnable
	movl	$2960, %edi
	call	glEnable
	movl	$0, %edi
	call	glDepthMask
	movl	$513, %edi
	call	glDepthFunc
	movl	$7681, %edx
	movl	$7681, %esi
	movl	$7681, %edi
	call	glStencilOp
	movl	$-1, %edx
	movl	$1, %esi
	movl	$519, %edi
	call	glStencilFunc
	movl	$0, %eax
	call	initBox
	movl	g+4(%rip), %edi
	pxor	%xmm2, %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	render
	movl	$1, %edi
	call	glDepthMask
	movl	g+8(%rip), %edi
	call	bindShader
	pxor	%xmm2, %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	movl	$.LC50, %esi
	movl	g+8(%rip), %edi
	call	sendUniform3f
	pxor	%xmm0, %xmm0
	movl	$.LC51, %esi
	movl	g+8(%rip), %edi
	call	Uniform
	movl	cubeMapTexID(%rip), %esi
	movl	$34067, %edi
	call	glBindTexture
	movl	$-1, %edx
	movl	$1, %esi
	movl	$514, %edi
	call	glStencilFunc
	movl	$7680, %edx
	movl	$7680, %esi
	movl	$7680, %edi
	call	glStencilOp
	cmpb	$0, Fpurple(%rip)
	jne	.L77
.L76:
	movl	$0, %eax
	call	vertexObjects
	movl	g(%rip), %edi
	call	linkProgram
	movl	g(%rip), %edi
	call	bindShader
	pxor	%xmm0, %xmm0
	movl	$.LC52, %esi
	movl	g(%rip), %edi
	call	Uniform
	movl	$2960, %edi
	call	glDisable
	movl	$0, %eax
	call	vertexObjects
	movl	$0, %eax
	call	CubeMap
	movl	$vbos3, %esi
	movl	$4, %edi
	call	*__glewDeleteBuffers(%rip)
	movl	g(%rip), %edi
	call	DeleteShader
	movl	g+8(%rip), %edi
	call	DeleteShader
	movl	g+4(%rip), %edi
	call	DeleteShader
	movl	$2903, %edi
	call	glDisable
	movl	$2896, %edi
	call	glDisable
	movl	$4608, %edi
	call	glDisable
	call	glFlush
	leave
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L77:
	.cfi_restore_state
	movl	$1, %esi
	movl	$775, %edi
	call	glBlendFunc
	jmp	.L76
	.cfi_endproc
.LFE41:
	.size	Landscape, .-Landscape
	.globl	process_event1
	.type	process_event1, @function
process_event1:
.LFB43:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$0, %esi
	leaq	16(%rbp), %rdi
	call	XLookupKeysym
	cmpq	$65479, %rax
	ja	.L78
	cmpq	$65469, %rax
	jbe	.L95
	subq	$65470, %rax
	cmpq	$9, %rax
	ja	.L78
	jmp	*.L85(,%rax,8)
	.section	.rodata
	.align 8
	.align 4
.L85:
	.quad	.L94
	.quad	.L93
	.quad	.L92
	.quad	.L91
	.quad	.L90
	.quad	.L89
	.quad	.L88
	.quad	.L87
	.quad	.L86
	.quad	.L84
	.text
.L95:
	cmpq	$111, %rax
	je	.L81
	cmpq	$65307, %rax
	jne	.L96
	movl	$0, %eax
	call	closeWin
	jmp	.L78
.L96:
	cmpq	$105, %rax
	jne	.L78
	pxor	%xmm0, %xmm0
	cvtss2sd	Fplus(%rip), %xmm0
	addsd	.LC53(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, Fplus(%rip)
	jmp	.L78
.L94:
	movb	$0, Fday(%rip)
	movb	$0, Fnight(%rip)
	movb	$0, Fcloud(%rip)
	movb	$1, Fgrid(%rip)
	movb	$0, Fiso(%rip)
	movb	$0, Fwind(%rip)
	movb	$0, Ftemp(%rip)
.L78:
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L93:
	.cfi_restore_state
	movb	$0, Fday(%rip)
	movb	$0, Fnight(%rip)
	movb	$0, Fcloud(%rip)
	movb	$1, Fgrid(%rip)
	movb	$1, Fiso(%rip)
	movb	$0, Fwind(%rip)
	movb	$0, Ftemp(%rip)
	jmp	.L78
.L92:
	movb	$0, Fday(%rip)
	movb	$0, Fnight(%rip)
	movb	$0, Fcloud(%rip)
	movb	$0, Fgrid(%rip)
	movb	$0, Fiso(%rip)
	movb	$1, Fwind(%rip)
	movb	$0, Ftemp(%rip)
	jmp	.L78
.L91:
	movb	$0, Fday(%rip)
	movb	$0, Fnight(%rip)
	movb	$0, Fcloud(%rip)
	movb	$0, Fgrid(%rip)
	movb	$0, Fiso(%rip)
	movb	$0, Fwind(%rip)
	movb	$1, Ftemp(%rip)
	jmp	.L78
.L90:
	movb	$1, Fday(%rip)
	movb	$0, Fnight(%rip)
	movb	$0, Fcloud(%rip)
	movb	$0, Fgrid(%rip)
	movb	$0, Fiso(%rip)
	movb	$0, Fwind(%rip)
	movb	$0, Ftemp(%rip)
	jmp	.L78
.L89:
	movb	$1, Fday(%rip)
	movb	$0, Fnight(%rip)
	movb	$1, Fcloud(%rip)
	movb	$0, Fgrid(%rip)
	movb	$0, Fiso(%rip)
	movb	$0, Fwind(%rip)
	movb	$0, Ftemp(%rip)
	jmp	.L78
.L88:
	movb	$0, Fday(%rip)
	movb	$1, Fnight(%rip)
	movb	$0, Fcloud(%rip)
	movb	$0, Fgrid(%rip)
	movb	$0, Fiso(%rip)
	movb	$0, Fwind(%rip)
	movb	$0, Ftemp(%rip)
	jmp	.L78
.L87:
	movb	$0, Fday(%rip)
	movb	$0, Fnight(%rip)
	movb	$0, Fcloud(%rip)
	movb	$0, Fgrid(%rip)
	movb	$0, Fiso(%rip)
	movb	$0, Fwind(%rip)
	movb	$0, Ftemp(%rip)
	jmp	.L78
.L86:
	movb	$1, Fpurple(%rip)
	jmp	.L78
.L84:
	movb	$0, Fpurple(%rip)
	jmp	.L78
.L81:
	pxor	%xmm0, %xmm0
	cvtss2sd	Fplus(%rip), %xmm0
	subsd	.LC53(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, Fplus(%rip)
	jmp	.L78
	.cfi_endproc
.LFE43:
	.size	process_event1, .-process_event1
	.section	.rodata
	.align 16
	.type	basic_frag.0, @object
	.size	basic_frag.0, 16
basic_frag.0:
	.string	"GLSL/basic.frag"
	.align 16
	.type	basic_vert.1, @object
	.size	basic_vert.1, 16
basic_vert.1:
	.string	"GLSL/basic.vert"
	.align 8
	.type	cube_frag.2, @object
	.size	cube_frag.2, 15
cube_frag.2:
	.string	"GLSL/cube.frag"
	.align 8
	.type	cube_vert.3, @object
	.size	cube_vert.3, 15
cube_vert.3:
	.string	"GLSL/cube.vert"
	.align 8
	.type	fly_frag.4, @object
	.size	fly_frag.4, 14
fly_frag.4:
	.string	"GLSL/fly.frag"
	.align 8
	.type	fly_vert.5, @object
	.size	fly_vert.5, 14
fly_vert.5:
	.string	"GLSL/fly.vert"
	.globl	sky
	.bss
	.align 8
	.type	sky, @object
	.size	sky, 8
sky:
	.zero	8
	.globl	sea
	.align 8
	.type	sea, @object
	.size	sea, 8
sea:
	.zero	8
	.globl	des
	.align 8
	.type	des, @object
	.size	des, 8
des:
	.zero	8
	.globl	bla
	.align 8
	.type	bla, @object
	.size	bla, 8
bla:
	.zero	8
	.globl	m_indices
	.align 32
	.type	m_indices, @object
	.size	m_indices, 2440
m_indices:
	.zero	2440
	.globl	m_vertices
	.align 32
	.type	m_vertices, @object
	.size	m_vertices, 2440
m_vertices:
	.zero	2440
	.globl	m_texCoords
	.align 32
	.type	m_texCoords, @object
	.size	m_texCoords, 2440
m_texCoords:
	.zero	2440
	.globl	m_colors
	.align 32
	.type	m_colors, @object
	.size	m_colors, 2440
m_colors:
	.zero	2440
	.globl	vcircle3
	.align 32
	.type	vcircle3, @object
	.size	vcircle3, 2440
vcircle3:
	.zero	2440
	.globl	tcircle3
	.align 32
	.type	tcircle3, @object
	.size	tcircle3, 2440
tcircle3:
	.zero	2440
	.globl	vcolor3
	.align 32
	.type	vcolor3, @object
	.size	vcolor3, 2440
vcolor3:
	.zero	2440
	.globl	Fpurple
	.type	Fpurple, @object
	.size	Fpurple, 1
Fpurple:
	.zero	1
	.globl	Ftemp
	.type	Ftemp, @object
	.size	Ftemp, 1
Ftemp:
	.zero	1
	.globl	Fwind
	.type	Fwind, @object
	.size	Fwind, 1
Fwind:
	.zero	1
	.globl	Fiso
	.type	Fiso, @object
	.size	Fiso, 1
Fiso:
	.zero	1
	.globl	Fgrid
	.type	Fgrid, @object
	.size	Fgrid, 1
Fgrid:
	.zero	1
	.globl	Fcloud
	.type	Fcloud, @object
	.size	Fcloud, 1
Fcloud:
	.zero	1
	.globl	Fnight
	.type	Fnight, @object
	.size	Fnight, 1
Fnight:
	.zero	1
	.globl	Fday
	.data
	.type	Fday, @object
	.size	Fday, 1
Fday:
	.byte	1
	.globl	cubeMapTexID
	.bss
	.align 4
	.type	cubeMapTexID, @object
	.size	cubeMapTexID, 4
cubeMapTexID:
	.zero	4
	.globl	m_scale
	.align 4
	.type	m_scale, @object
	.size	m_scale, 4
m_scale:
	.zero	4
	.globl	Fplus
	.data
	.align 4
	.type	Fplus, @object
	.size	Fplus, 4
Fplus:
	.long	1065353216
	.globl	zRotation
	.bss
	.align 4
	.type	zRotation, @object
	.size	zRotation, 4
zRotation:
	.zero	4
	.globl	xRotation
	.align 4
	.type	xRotation, @object
	.size	xRotation, 4
xRotation:
	.zero	4
	.globl	code2
	.align 4
	.type	code2, @object
	.size	code2, 4
code2:
	.zero	4
	.globl	code1
	.align 4
	.type	code1, @object
	.size	code1, 4
code1:
	.zero	4
	.globl	code03
	.type	code03, @object
	.size	code03, 1
code03:
	.zero	1
	.globl	g
	.align 8
	.type	g, @object
	.size	g, 12
g:
	.zero	12
	.globl	gl
	.align 32
	.type	gl, @object
	.size	gl, 48
gl:
	.zero	48
	.globl	vbos3
	.align 16
	.type	vbos3, @object
	.size	vbos3, 16
vbos3:
	.zero	16
	.globl	__glewBufferData
	.align 8
	.type	__glewBufferData, @object
	.size	__glewBufferData, 8
__glewBufferData:
	.zero	8
	.globl	__glewBindBuffer
	.align 8
	.type	__glewBindBuffer, @object
	.size	__glewBindBuffer, 8
__glewBindBuffer:
	.zero	8
	.globl	__glewGenBuffers
	.align 8
	.type	__glewGenBuffers, @object
	.size	__glewGenBuffers, 8
__glewGenBuffers:
	.zero	8
	.section	.rodata.cst4,"aM",@progbits,4
	.align 4
.LC18:
	.long	1056964608
	.align 4
.LC19:
	.long	1050253722
	.align 4
.LC20:
	.long	1045220557
	.align 4
.LC21:
	.long	1036831949
	.align 4
.LC22:
	.long	1060320051
	.align 4
.LC23:
	.long	1008981770
	.section	.rodata.cst8,"aM",@progbits,8
	.align 8
.LC24:
	.long	0
	.long	1072693248
	.section	.rodata.cst4
	.align 4
.LC26:
	.long	1103626240
	.align 4
.LC34:
	.long	1191407616
	.align 4
.LC35:
	.long	1175979008
	.align 4
.LC36:
	.long	1101004800
	.align 4
.LC37:
	.long	1114636288
	.align 4
.LC38:
	.long	1135869952
	.align 4
.LC39:
	.long	1119092736
	.align 4
.LC40:
	.long	-1028390912
	.align 4
.LC41:
	.long	1077936128
	.align 4
.LC42:
	.long	1088421888
	.align 4
.LC45:
	.long	1073741824
	.align 4
.LC47:
	.long	1121714176
	.section	.rodata.cst8
	.align 8
.LC53:
	.long	1202590843
	.long	1065646817
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
